$('.xz_box6 .xztit')
    .find('li')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.xz_box6')
            .find('.similbox')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
// tfBox
$('.tfBox')
    .find('li')
    .hover(function () {
        $(this)
            .find('.tBox')
            .removeClass('hide')
            .siblings('.fBox')
            .addClass('hide');
        $(this)
            .siblings()
            .find('.tBox')
            .addClass('hide')
            .siblings('.fBox')
            .removeClass('hide');
    });
$('.rankmain ul')
    .find('li')
    .hover(function () {
        $(this)
            .find('.tbox')
            .removeClass('hide')
            .siblings('.fbox')
            .addClass('hide');
        $(this)
            .siblings()
            .find('.tbox')
            .addClass('hide')
            .siblings('.fbox')
            .removeClass('hide');
    });
// tab切换
$('.tab_box p')
    .find('span')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.tab_box')
            .find('.sub_box')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
// index
$('.navbox')
    .find('span')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.topnav')
            .find('.navtab')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
$('.eyou_box2 .xztit')
    .find('li')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.eyou_box2')
            .find('.indextab')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
$('.eyou_box4 .xztit')
    .find('li')
    .on('click', function () {
        var times = $(this)
            .index();
        $(this)
            .addClass('current')
            .siblings()
            .removeClass('current');
        $(this)
            .parents('.eyou_box4')
            .find('.indextab')
            .eq(times)
            .show()
            .siblings()
            .hide();
    })
if ($(".game_phb")
    .length > 0) {
    $('.tab_menu')
        .find('li')
        .on('click', function () {
            var times = $(this)
                .index();
            $(this)
                .addClass('current')
                .siblings()
                .removeClass('current');
            $(this)
                .parents('.tab_box')
                .find('.sub_box')
                .eq(times)
                .show()
                .siblings()
                .hide();
        })
}
$(function () {
    //游戏详情页图片 
    if ($('.xz_box2 .cont')
        .length > 0) {
        $('.xz_box2 .cont img')
            .each(function (k, v) {
                let widthImg = $(this)
                    .width();
                let heightImg = $(this)
                    .height();
                if (widthImg > 0 && heightImg > 0) {
                    if (widthImg < heightImg) {
                        $(this)
                            .height(600);
                    } else {
                        $(this)
                            .height(300);
                    }
                    
                }
            })
    }
})
